@import url('components/input.css'); /* fields, buttons, and other inputs */
@import url('components/menu.css'); /* context menus, dropdowns, and tooltips */

/* GLOBAL STYLES */

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --label-primary: #FFFFFF;
    --background: linear-gradient(180deg, #1E1E1E 0%, #23232C 100%);

    --type: 'Host Grotesk', sans-serif;

    --size-body: 16px;
    --height-body: 20px;

    --size-subheadline: 14px;
    --height-subheadline: 18px;

    --size-footnote: 12px;
    --height-footnote: 16px;
}

/* TYPOGRAPHY */

p {
    font-family: var(--type);
    font-size: var(--size-body);
    line-height: var(--height-body);
    color: var(--label-primary);
    margin: 0;
}

/* APP */

.app {
    width: 100dvw;
    height: 100dvh;
    position: relative;
}

.app-wrapper {
    /* appearance */
    width: 100%;
    height: 100%;
    background: var(--background);

    /* flex */
    display: flex;
    flex-direction: column;
}

/* APP: Menu Bar */

.app-MenuBar {
    /* appearance */
    width: 100%;
    padding: 4px 8px;
    position: absolute;
    box-sizing: border-box;

    /* flex */
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.app-MenuBar-leading {
    /* flex */
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.button-MenuBar {
    /* appearance */
    padding: 4px 12px;
    border-radius: 100px;
    margin-right: -6px;
}

.button-MenuBar:disabled {
    opacity: 0.3;
    /* cursor: not-allowed; */
}

.button-MenuBar p {
    font-size: var(--size-subheadline);
    line-height: var(--height-subheadline);
}

.button-MenuBar#appMenuBar_inSync p {
    font-weight: 700;
}

.button-MenuBar.isActive {
    background: rgba(255, 255, 255, 0.2);
}